Skip to main content
PUT
/
identity-providers
/
{idp_id}
/
provisioning
/
update-attributes
Refresh Provisioning Configuration Attributes Mapping
curl --request PUT \
  --url https://{tenantDomain}/my-org/identity-providers/{idp_id}/provisioning/update-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
  "identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2",
  "strategy": "okta",
  "method": "scim",
  "attributes": [
    {
      "provisioning_field": "userName",
      "user_attribute": "preferred_username",
      "description": "Preferred Username",
      "label": "Preferred username",
      "is_required": true,
      "is_extra": false,
      "is_missing": false
    },
    {
      "provisioning_field": "active",
      "user_attribute": "blocked",
      "is_required": true,
      "is_extra": false,
      "is_missing": false
    }
  ],
  "updated_on": "2025-05-15T23:32:52.351Z",
  "created_at": "2025-05-15T23:32:52.351Z",
  "user_id_attribute": "externalId"
}

Release Lifecycle

Beta

Scopes

Scopes define permissions and access levels for API requests and authentication tokens.
update:my_org:identity_providers_provisioning

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

idp_id
string
required

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$

Body

application/json

The body is of type object.

Response

Provisioning config successfully retrieved.

identity_provider_id
string
required

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$
identity_provider_name
string
required

The name of the identity provider

Required string length: 1 - 128
strategy
enum<string>
required

The type of the identity provider

Available options:
adfs,
google-apps,
oidc,
okta,
pingfederate,
samlp,
waad
method
enum<string>
required

The type of an identity provider's provisioning method

Available options:
google-sync,
none,
scim
attributes
object[]
required
user_id_attribute
string
required

The ID of the user

created_at
string<date-time>
required
updated_on
string<date-time>
required